PCI_CHECK_AND_UNMASK(9)

NAME
pci_check_and_unmask_intx - unmask INTx if no interrupt is pending

SYNOPSIS

bool pci_check_and_unmask_intx(struct pci_dev * dev);

ARGUMENTS

dev
    the PCI device to operate on

DESCRIPTION

Check if the device dev has its INTx line asserted, unmask it if not and return true. False is returned and the mask remains active if there was still an interrupt pending.

COPYRIGHT